# Class AutoValueGsonExtension

java.lang.Object
com.google.auto.value.extension.AutoValueExtension
com.ryanharter.auto.value.gson.AutoValueGsonExtension

@SupportedOptions("autovaluegson.useFieldNamePolicy") @AutoService(com.google.auto.value.extension.AutoValueExtension.class) public class AutoValueGsonExtension extends com.google.auto.value.extension.AutoValueExtension

## Nested Class Summary

### Nested classes/interfaces inherited from class com.google.auto.value.extension.AutoValueExtension

`com.google.auto.value.extension.AutoValueExtension.BuilderContext, com.google.auto.value.extension.AutoValueExtension.Context, com.google.auto.value.extension.AutoValueExtension.IncrementalExtensionType`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`GENERATED_COMMENTS`

## Constructor Summary

Constructors
Constructor
Description
`AutoValueGsonExtension()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`applicable(com.google.auto.value.extension.AutoValueExtension.Context context)`
`String`
`generateClass(com.google.auto.value.extension.AutoValueExtension.Context context, String className, String classToExtend, boolean isFinal)`
`com.google.auto.value.extension.AutoValueExtension.IncrementalExtensionType`
`incrementalType(ProcessingEnvironment processingEnvironment)`
`static boolean`
`isApplicable(TypeElement type, Messager messager)`

### Methods inherited from class com.google.auto.value.extension.AutoValueExtension

`consumeMethods, consumeProperties, getSupportedOptions, mustBeFinal`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GENERATED_COMMENTS

public static final String GENERATED_COMMENTS

See Also:
  - Constant Field Values

## Constructor Details

### AutoValueGsonExtension

public AutoValueGsonExtension()

## Method Details

### incrementalType

public com.google.auto.value.extension.AutoValueExtension.IncrementalExtensionType incrementalType(ProcessingEnvironment processingEnvironment)

Overrides:
  `incrementalType` in class `com.google.auto.value.extension.AutoValueExtension`

### applicable

public boolean applicable(com.google.auto.value.extension.AutoValueExtension.Context context)

Overrides:
  `applicable` in class `com.google.auto.value.extension.AutoValueExtension`

### isApplicable

public static boolean isApplicable(TypeElement type, Messager messager)

### generateClass

public String generateClass(com.google.auto.value.extension.AutoValueExtension.Context context, String className, String classToExtend, boolean isFinal)

Specified by:
  `generateClass` in class `com.google.auto.value.extension.AutoValueExtension`